librelist archives

« back to archive

About Rb-Appscript

About Rb-Appscript

From:
reuben doetsch
Date:
2010-04-03 @ 04:15
Using shoes with rb-appscript. Has anyone been able to do this? I looked
through the source code of both programs and I think rb-appscript might be
hardcoded to load in with the system ruby. I am not an expert at apple
internals, and I would love if someone has gotten this working.

-- 
Thanks,

Reuben Doetsch
CCSC Director of Technology

Computer Science and Philosophy
Class of 2011, Columbia College, Columbia University

Re: [shoes] About Rb-Appscript

From:
Cecil Coupe
Date:
2010-04-04 @ 04:33
Reuben 

Be aware the ruby used in shoes does not include everything that is in
your systems ruby. Shoes uses a very minimal *copy* ruby of it's own
sandbox. You have to install the rb-appscript (gem + libraries) within
the shoes environment. If you are using OSX 10.6 you might have some
well discussed but unsolved 32 vs 64, carbon vs cocoa issues. 

On Sat, 2010-04-03 at 00:15 -0400, reuben doetsch wrote:
> Using shoes with rb-appscript. Has anyone been able to do this? I
> looked through the source code of both programs and I think
> rb-appscript might be hardcoded to load in with the system ruby. I am
> not an expert at apple internals, and I would love if someone has
> gotten this working.
> 
> -- 
> Thanks,
> 
> Reuben Doetsch
> CCSC Director of Technology
> 
> Computer Science and Philosophy
> Class of 2011, Columbia College, Columbia University